// TEST: Complex level with singletons and block.
while (q1)
    while (q2)
        if (q3) {
            a++;
        }
if (q4) // Should be L0.
    b++;

while (q1)
    while (q2) {
        if (q3)
            a++;
    }
if (q4) // Should be L0.
    b++;
c++;
